Activity log for bug #1090716

Date Who What changed Old value New value Message
2012-12-15 14:07:29 Gary Poster bug added bug
2012-12-17 15:52:02 Gary Poster description If a GUI charm is providing the GUI interface, unexposing or deleting the charm will cause the GUI to immediately stop working. We discussed a number of approaches to addressing this, ranging from doing nothing, through providing custom warnings, to hiding the GUI charm in the GUI. The consensus solution is to hide the GUI charm. As far as I can tell, we simply need to be able to filter on charm name, but this needs to be confirmed. Kapil mentioned filtering on charm tags, but that is not mentioned in https://juju.ubuntu.com/docs/charm.html so I'm currently guessing that charm tags are not yet implemented. We also need to agree on a method of filtering. Ideally, in my opinion, we would still have the charm in the database but not rendered: this means that our data store is correct, and prepares us for a future in which we can offer an option to reveal hidden charms. However, that fights our current implementation, in which we simply render what is in the database, and events from the database are always pertinent. If we can come up with a way to achieve this quickly, that would be nice. If a GUI charm is providing the GUI interface, unexposing or deleting the charm will cause the GUI to immediately stop working. We discussed a number of approaches to addressing this, ranging from doing nothing, through providing custom warnings, to hiding the GUI charm in the GUI. The consensus solution is to hide the GUI charm. We simply need to be able to filter on charm name. We also need to agree on a method of filtering, but I think the implementer can propose this. Ideally, in my opinion, we would still have the charm in the database but not rendered: this means that our data store is correct, and prepares us for a future in which we can offer an option to reveal hidden charms. However, that fights our current implementation, in which we simply render what is in the database, and events from the database are always pertinent. If we can come up with a way to achieve this quickly, that would be nice.
2013-01-10 22:05:08 Launchpad Janitor branch linked lp:~gary/juju-gui/bug1090716
2013-01-14 22:37:14 Benji York summary GUI should hide GUI charm GUI should protect GUI charm
2013-01-14 22:39:00 Benji York description If a GUI charm is providing the GUI interface, unexposing or deleting the charm will cause the GUI to immediately stop working. We discussed a number of approaches to addressing this, ranging from doing nothing, through providing custom warnings, to hiding the GUI charm in the GUI. The consensus solution is to hide the GUI charm. We simply need to be able to filter on charm name. We also need to agree on a method of filtering, but I think the implementer can propose this. Ideally, in my opinion, we would still have the charm in the database but not rendered: this means that our data store is correct, and prepares us for a future in which we can offer an option to reveal hidden charms. However, that fights our current implementation, in which we simply render what is in the database, and events from the database are always pertinent. If we can come up with a way to achieve this quickly, that would be nice. If a GUI charm is providing the GUI interface, unexposing or deleting the charm will cause the GUI to immediately stop working. We discussed a number of approaches to addressing this, ranging from doing nothing, through providing custom warnings, to hiding the GUI charm in the GUI. The (eventual) consensus solution is to disable the destroy and unexpose functions and provide a warning on the settings page.
2013-01-17 16:02:40 Benji York branch linked lp:~benji/juju-gui/no-foot-shooting
2013-01-17 16:02:41 Benji York juju-gui: status Triaged In Progress
2013-01-17 16:02:41 Benji York juju-gui: milestone 0.1.4+build.311
2013-01-17 16:02:41 Benji York juju-gui: assignee Benji York (benji)
2013-04-19 12:25:14 Benji York juju-gui: status In Progress Fix Released